io.vertx.junit5

## Class VertxExtension

- java.lang.Object
- - io.vertx.junit5.VertxExtension

- All Implemented Interfaces:
    org.junit.jupiter.api.extension.AfterAllCallback, org.junit.jupiter.api.extension.AfterEachCallback, org.junit.jupiter.api.extension.AfterTestExecutionCallback, org.junit.jupiter.api.extension.BeforeAllCallback, org.junit.jupiter.api.extension.BeforeEachCallback, org.junit.jupiter.api.extension.BeforeTestExecutionCallback, org.junit.jupiter.api.extension.Extension, org.junit.jupiter.api.extension.ParameterResolver

      public final class VertxExtension
      extends Object
      implements org.junit.jupiter.api.extension.ParameterResolver, org.junit.jupiter.api.extension.BeforeTestExecutionCallback, org.junit.jupiter.api.extension.AfterTestExecutionCallback, org.junit.jupiter.api.extension.BeforeEachCallback, org.junit.jupiter.api.extension.AfterEachCallback, org.junit.jupiter.api.extension.BeforeAllCallback, org.junit.jupiter.api.extension.AfterAllCallback

  JUnit 5 Vert.x extension that allows parameter injection as well as an automatic lifecycle on the `VertxTestContext` instance.

  The following types can be injected:

  - `Vertx`
  - `VertxTestContext`
  - `Vertx`
  - `Vertx`
  - `Vertx`
  Author:
    Julien Ponge

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_TIMEOUT_DURATION` Default timeout.
    `static TimeUnit` | `DEFAULT_TIMEOUT_UNIT` Default timeout unit.
    `static String` | `VERTX_INSTANCE_KEY` Key for all `Vertx` instances, including what shims like RxJava should use.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertxExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterAll(org.junit.jupiter.api.extension.ExtensionContext context)`
    `void` | `afterEach(org.junit.jupiter.api.extension.ExtensionContext context)`
    `void` | `afterTestExecution(org.junit.jupiter.api.extension.ExtensionContext context)`
    `void` | `beforeAll(org.junit.jupiter.api.extension.ExtensionContext context)`
    `void` | `beforeEach(org.junit.jupiter.api.extension.ExtensionContext context)`
    `void` | `beforeTestExecution(org.junit.jupiter.api.extension.ExtensionContext context)`
    `Object` | `resolveParameter(org.junit.jupiter.api.extension.ParameterContext parameterContext, org.junit.jupiter.api.extension.ExtensionContext extensionContext)`
    `boolean` | `supportsParameter(org.junit.jupiter.api.extension.ParameterContext parameterContext, org.junit.jupiter.api.extension.ExtensionContext extensionContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIMEOUT_DURATION

          public static final int DEFAULT_TIMEOUT_DURATION

      Default timeout.
      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT_UNIT

          public static final TimeUnit DEFAULT_TIMEOUT_UNIT

      Default timeout unit.

    - #### VERTX_INSTANCE_KEY

          public static final String VERTX_INSTANCE_KEY

      Key for all `Vertx` instances, including what shims like RxJava should use.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VertxExtension

          public VertxExtension()

  - ### Method Detail

    - #### supportsParameter

          public boolean supportsParameter(org.junit.jupiter.api.extension.ParameterContext parameterContext,
                                           org.junit.jupiter.api.extension.ExtensionContext extensionContext)
                                    throws org.junit.jupiter.api.extension.ParameterResolutionException

      Specified by:
        `supportsParameter` in interface `org.junit.jupiter.api.extension.ParameterResolver`
      Throws:
        `org.junit.jupiter.api.extension.ParameterResolutionException`

    - #### resolveParameter

          public Object resolveParameter(org.junit.jupiter.api.extension.ParameterContext parameterContext,
                                         org.junit.jupiter.api.extension.ExtensionContext extensionContext)
                                  throws org.junit.jupiter.api.extension.ParameterResolutionException

      Specified by:
        `resolveParameter` in interface `org.junit.jupiter.api.extension.ParameterResolver`
      Throws:
        `org.junit.jupiter.api.extension.ParameterResolutionException`

    - #### beforeAll

          public void beforeAll(org.junit.jupiter.api.extension.ExtensionContext context)
                         throws Exception

      Specified by:
        `beforeAll` in interface `org.junit.jupiter.api.extension.BeforeAllCallback`
      Throws:
        `Exception`

    - #### afterAll

          public void afterAll(org.junit.jupiter.api.extension.ExtensionContext context)
                        throws Exception

      Specified by:
        `afterAll` in interface `org.junit.jupiter.api.extension.AfterAllCallback`
      Throws:
        `Exception`

    - #### beforeEach

          public void beforeEach(org.junit.jupiter.api.extension.ExtensionContext context)
                          throws Exception

      Specified by:
        `beforeEach` in interface `org.junit.jupiter.api.extension.BeforeEachCallback`
      Throws:
        `Exception`

    - #### afterEach

          public void afterEach(org.junit.jupiter.api.extension.ExtensionContext context)
                         throws Exception

      Specified by:
        `afterEach` in interface `org.junit.jupiter.api.extension.AfterEachCallback`
      Throws:
        `Exception`

    - #### beforeTestExecution

          public void beforeTestExecution(org.junit.jupiter.api.extension.ExtensionContext context)
                                   throws Exception

      Specified by:
        `beforeTestExecution` in interface `org.junit.jupiter.api.extension.BeforeTestExecutionCallback`
      Throws:
        `Exception`

    - #### afterTestExecution

          public void afterTestExecution(org.junit.jupiter.api.extension.ExtensionContext context)
                                  throws Exception

      Specified by:
        `afterTestExecution` in interface `org.junit.jupiter.api.extension.AfterTestExecutionCallback`
      Throws:
        `Exception`

Copyright © 2021 Eclipse. All rights reserved.